@import "../../../colors.scss";

.main {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  padding: 40px 20px 40px 20px;
  box-sizing: border-box;
  overflow: hidden;
}

.content {
  flex-grow: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}

.newConversation {
  @extend .main;

  .content {
    flex-direction: column;
    row-gap: 10px;
    h2 {
      font-size: 1rem;
    }
    p {
      color: $green;
    }
  }
}

.noConvSelected {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100%;

  h1 {
    font-size: 1.5rem;
  }
}

.inputBox {
  width: 100%;

  display: flex;
  flex-direction: row;
  justify-content: center;
  background-color: $secondary;
  border: solid 2px $accentDark;

  padding: 10px;

  box-sizing: border-box;

  position: relative;

  .sendIconWrapper {
    position: absolute;
    width: 50px;
    height: 50px;
    z-index: 2;
    top: 50%;
    transform: translateY(-50%);
    right: 22px;
    display: flex;
    justify-content: center;
    align-items: center;

    svg {
      height: auto;
      width: 60%;
      transition: scale 200ms;

      &:hover {
        cursor: pointer;

        path {
          fill: $green;
        }
      }
    }
  }

  textarea {
    resize: none;
    height: 2rem;
    width: 100%;

    outline: none;
    border: none;
    background-color: transparent;

    color: $white;
    font-family: "JetBrainsMono-Regular", monospace;
    font-size: 16px;
    padding-right: 65px;

    box-sizing: border-box;
  }
}

.chatBubblesWrapper {
  padding: 0px 20px;

  box-sizing: border-box;

  display: flex;
  flex-direction: column;
  row-gap: 10px;
  height: 100%;
  flex-grow: 1;
  overflow-y: scroll;
  max-height: 100%;
}

.chatHeader {
  margin-bottom: 10px;
  display: flex;
  justify-content: space-between;

  .addContact {
    height: 2rem;
    width: auto;
    cursor: pointer;
    opacity: 0.5;

    &:hover {
      opacity: 1;
      path {
        fill: $green;
      }
    }

    path {
      fill: $white;
    }
  }

  .chatHeader_top {
    display: flex;
    flex-direction: column;

    .chatHeader_top_recipient {
      display: flex;
      color: $green;
      margin-bottom: 5px;
      align-items: center;

      .addContactButton {
        background: transparent;
        border: none;
        padding: 0;
        height: min-content;
      }
    }
  }

  .chatHeader_bottom {
    opacity: 0.5;
    font-family: "JetBrainsMono-Light";
    font-size: 0.8rem;
  }

  .closeConvButton {
    background: transparent;
    border: none;
    padding: 0;
    height: min-content;
  }

  .closeConv {
    height: 1.3rem;
    width: 1.3rem;
    background-color: $secondary;
    padding: 5px;
    border: solid 2px $accentDark;
    &:hover {
      path {
        fill: $accentDark;
      }
    }

    path {
      fill: $white;
    }

    &:hover {
      cursor: pointer;
      fill: $green;
    }
  }
}

.chatBubble {
  display: flex;
  column-gap: 15px;
  flex-direction: row;
}

.messageWrapper {
  padding-bottom: 10px;
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
}
.dateIndicator {
  display: flex;

  justify-content: center;
  color: $time;
  margin-bottom: 10px;
}

.time {
  color: $time;
  display: flex;
  column-gap: 15px;
  flex-direction: row;

  .unsent {
    position: relative;
    span {
      opacity: 0;
      position: relative;
    }
    &::after {
      content: "...";
      opacity: 1;
      position: absolute;
      z-index: 2;
      left: 50%;
      transform: translateX(-50%);
    }
  }
}

.incoming {
  color: $green;
  overflow-wrap: break-word;
}

.outgoing {
  color: $white;
  overflow-wrap: break-word;
}

.wrapperWithMask {
  overflow: hidden;
  max-height: 100%;
  flex-grow: 1;
  height: 100%;
  padding-bottom: 10px;
}

.listWrapper {
  flex-grow: 1;
  padding: 0px 20px;

  margin-bottom: 10px;
}
